Loading...
Searching...
No Matches
OgreVolumeMeshBuilder.h File Reference
`#include <vector>`
`#include "OgreManualObject.h"`
`#include "OgreVector.h"`
`#include "OgreAxisAlignedBox.h"`
`#include "OgreVolumePrerequisites.h"`

## Classes

class | Ogre::Volume::MeshBuilder
| Class to build up a mesh with vertices and indices. More...
class | Ogre::Volume::MeshBuilderCallback
| Callback class when the user needs information about the triangles of chunks of a LOD level. More...
struct | Ogre::Volume::Vertex
| Lightweight struct to represent a mesh vertex. More...

## Namespaces

namespace | Ogre
namespace | Ogre::Volume

## Typedefs

typedef std::vector< uint32 > | Ogre::Volume::VecIndices
| To hold indices.
typedef std::vector< Vertex > | Ogre::Volume::VecVertex
| To hold vertices.
typedef struct _OgreVolumeExport Ogre::Volume::Vertex | Ogre::Volume::Vertex
| Lightweight struct to represent a mesh vertex.

## Functions

bool _OgreVolumeExport | Ogre::Volume::operator< (const Vertex &a, const Vertex &b)
| A less operator.
bool _OgreVolumeExport | Ogre::Volume::operator== (Vertex const &a, Vertex const &b)
| == operator for two vertices.